Update
curl --request PATCH \
--url https://api.ngrok.com/ssh_certificate_authorities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'ngrok-version: <ngrok-version>' \
--data '
{
"id": "<string>",
"description": "<string>",
"metadata": "<string>"
}
'import requests
url = "https://api.ngrok.com/ssh_certificate_authorities/{id}"
payload = {
"id": "<string>",
"description": "<string>",
"metadata": "<string>"
}
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'ngrok-version': '<ngrok-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '<string>', description: '<string>', metadata: '<string>'})
};
fetch('https://api.ngrok.com/ssh_certificate_authorities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"created_at": "<string>",
"description": "<string>",
"metadata": "<string>",
"public_key": "<string>",
"key_type": "<string>"
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}SSH Certificate Authorities
Update
Update an SSH Certificate Authority
PATCH
/
ssh_certificate_authorities
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Update an SSH Certificate Authority
unique identifier for this SSH Certificate Authority
URI of the SSH Certificate Authority API resource
timestamp when the SSH Certificate Authority API resource was created, RFC 3339 format
human-readable description of this SSH Certificate Authority. optional, max 255 bytes.
arbitrary user-defined machine-readable data of this SSH Certificate Authority. optional, max 4096 bytes.
raw public key for this SSH Certificate Authority
the type of private key for this SSH Certificate Authority
Was this page helpful?